Bug 1461876 - Provide context-sensitive navigation depending on which clusters are present
Provide context-sensitive navigation depending on which clusters are present
Status: NEW
Product: Red Hat Storage Console
Classification: Red Hat
Component: Dashboard (Show other bugs)
3
Unspecified Unspecified
unspecified Severity medium
: beta
: 3
Assigned To: Neha Gupta
sds-qe-bugs
https://github.com/Tendrl/dashboard/i...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-06-15 09:53 EDT by Ju Lim
Modified: 2017-06-23 06:16 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Github Tendrl/dashboard/issues/261 None None None 2017-06-16 08:11 EDT

  None (edit)
Description Ju Lim 2017-06-15 09:53:38 EDT
Description of problem:
As a Ceph only user, I only want to see Ceph objects (no File Shares / Volumes) in the menu.
As a Gluster only user, I only want to see Gluster objects (e.g. no Pools, RBDs) in the menu.
If I have both Ceph and Gluster, I expect to see both Ceph and Gluster objects  in the menu (or all menu items).

This was documented in the UX Design Approach and Information Architecture design document: https://tendrl.atlassian.net/secure/attachment/10100/Tendrl_%20UX%20Design%20Approach%20%26%20Information%20Architecture.pdf


Version-Release number of selected component (if applicable):


How reproducible:
100%

Steps to Reproduce:
1. See Menu on left when Ceph, Gluster, or both clusters present.
2.
3.

Actual results:
User currently sees both Ceph and Gluster menu items even if only one of the cluster types (Ceph / Gluster) is present.  When both Ceph and Gluster are present, the menu is showing as expected.

Expected results:
See description above

Additional info:
See https://github.com/Tendrl/dashboard/issues/261
Comment 3 Ju Lim 2017-06-15 10:26:27 EDT
See also https://bugzilla.redhat.com/show_bug.cgi?id=1460864.
Comment 4 Ju Lim 2017-06-20 13:23:55 EDT
In reviewing the code, a suggested approach is to:

- Expose another menu item, i.e. an additional attribute for the menu item, which you can then set a condition for it to decide whether or not to show Pools, RBDs, or Volumes — see dashboard/src/modules/base/navigation/menu-svc.js
- Use a rootscope event (e.g. ImportCluster) to trigger when the menus get rebuilt
- Note: this similar trigger would also need to control which Ceph or Gluster (main) dashboard tab gets presented as well

Note You need to log in before you can comment on or make changes to this bug.